Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- ClassloadVerify
- FastScalac
- Same
- ScalaMatchingTask
- ScalaTask
- ScalaTool
- Scalac
- ScalacShared
- Scaladoc

c

scala.tools.ant

# Scalac 

###

#### class Scalac extends ScalaMatchingTask with ScalacShared

An Ant task to compile with the new Scala compiler (NSC).

This task can take the following parameters as attributes:

- `srcdir` (mandatory),
- `srcref`,
- `destdir`,
- `classpath`,
- `classpathref`,
- `sourcepath`,
- `sourcepathref`,
- `bootclasspath`,
- `bootclasspathref`,
- `extdirs`,
- `extdirsref`,
- `argfile`,
- `dependencyfile`,
- `encoding`,
- `target`,
- `force`,
- `fork`,
- `logging`,
- `logphase`,
- `debuginfo`,
- `addparams`,
- `explaintypes`,
- `deprecation`,
- `nobootcp`,
- `nowarn`,
- `optimise`,
- `unchecked`,
- `usejavacp`,
- `failonerror`,
- `scalacdebugging`,

It also takes the following parameters as nested elements:

- `src` (for `srcdir`),
- `classpath`,
- `sourcepath`,
- `bootclasspath`,
- `extdirs`,
- `compilerarg`.

Source
  Scalac.scala

Linear Supertypes
ScalacShared, ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Known Subclasses
FastScalac
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Scalac
2. ScalacShared
3. ScalaMatchingTask
4. ScalaTask
5. MatchingTask
6. SelectorContainer
7. Task
8. ProjectComponent
9. Cloneable
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Scalac()

### Type Members

1.  abstract class PermissibleValue extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Scalac to any2stringadd[Scalac] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Scalac, B)
   Implicit
     This member is added by an implicit conversion from Scalac to ArrowAssoc[Scalac] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val MainClass: String
   Definition Classes
     ScalacShared
7.  def XsetIgnore(arg0: String): Unit
   Definition Classes
     MatchingTask
8.  def XsetItems(arg0: String): Unit
   Definition Classes
     MatchingTask
9.  def add(arg0: FileSelector): Unit
   Definition Classes
     MatchingTask → SelectorContainer
10.  def addAnd(arg0: AndSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
11.  def addContains(arg0: ContainsSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
12.  def addContainsRegexp(arg0: ContainsRegexpSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
13.  def addCustom(arg0: ExtendSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
14.  def addDate(arg0: DateSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
15.  def addDepend(arg0: DependSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
16.  def addDepth(arg0: DepthSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
17.  def addDifferent(arg0: DifferentSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
18.  def addFilename(arg0: FilenameSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
19.  def addMajority(arg0: MajoritySelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
20.  def addModified(arg0: ModifiedSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
21.  def addNone(arg0: NoneSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
22.  def addNot(arg0: NotSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
23.  def addOr(arg0: OrSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
24.  var addParams: String

    Instruct the compiler to use additional parameters

    Instruct the compiler to use additional parameters

    Attributes
      protected
25.  def addPresent(arg0: PresentSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
26.  def addSelector(arg0: SelectSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
27.  def addSize(arg0: SizeSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
28.  def addType(arg0: TypeSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
29.  def appendSelector(arg0: FileSelector): Unit
    Definition Classes
      MatchingTask → SelectorContainer
30.  var argfile: Option[File]
    Attributes
      protected
31.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
32.  def asString(file: File): String

    Transforms a file into a Scalac-readable string.

    Transforms a file into a Scalac-readable string.

    file

      A file to convert.

    returns

      A string-representation of the file like `/x/k/a.scala`.

    Attributes
      protected
33.  def asString(path: List[File]): String

    Transforms a path into a Scalac-readable string.

    Transforms a path into a Scalac-readable string.

    path

      A path to convert.

    returns

      A string-representation of the path like `a.jar:b.jar`.

    Attributes
      protected
34.  var backend: Option[String]
    Attributes
      protected
35.  final def bindToOwner(arg0: Task): Unit
    Definition Classes
      Task
36.  var bootclasspath: Option[Path]

    The boot class path to use for this compilation.

    The boot class path to use for this compilation.

    Attributes
      protected
37.  def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown

      `BuildException` A build error exception thrown in every case.

38.  var classpath: Option[Path]

    The class path to use for this compilation.

    The class path to use for this compilation.

    Attributes
      protected
39.  def clone(): AnyRef
    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )
40.  var compilerPath: Option[Path]

    The path to use when finding scalac - *only used for forking!*

    The path to use when finding scalac - *only used for forking!*

    Attributes
      protected
41.  def createBootclasspath(): Path

    Sets the `bootclasspath` as a nested bootclasspath Ant parameter.

    Sets the `bootclasspath` as a nested bootclasspath Ant parameter.

    returns

      A source path to be configured.

42.  def createClasspath(): Path

    Sets the `classpath` as a nested classpath Ant parameter.

    Sets the `classpath` as a nested classpath Ant parameter.

    returns

      A class path to be configured.

43.  def createCompilerArg(): ImplementationSpecificArgument

    Sets the `compilerarg` as a nested compilerarg Ant parameter.

    Sets the `compilerarg` as a nested compilerarg Ant parameter.

    returns

      A compiler argument to be configured.

44.  def createCompilerPath: Path
45.  def createExclude(): NameEntry
    Definition Classes
      MatchingTask
46.  def createExcludesFile(): NameEntry
    Definition Classes
      MatchingTask
47.  def createExtdirs(): Path

    Sets the `extdirs` as a nested extdirs Ant parameter.

    Sets the `extdirs` as a nested extdirs Ant parameter.

    returns

      An extensions path to be configured.

48.  def createInclude(): NameEntry
    Definition Classes
      MatchingTask
49.  def createIncludesFile(): NameEntry
    Definition Classes
      MatchingTask
50.  def createPatternSet(): PatternSet
    Definition Classes
      MatchingTask
51.  def createSourcepath(): Path

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    returns

      A source path to be configured.

52.  def createSrc(): Path

    Sets the `origin` as a nested src Ant parameter.

    Sets the `origin` as a nested src Ant parameter.

    returns

      An origin path to be configured.

53.  var debugInfo: Option[String]

    Instruct the compiler to generate debugging information

    Instruct the compiler to generate debugging information

    Attributes
      protected
54.  var dependencyfile: Option[File]

    The dependency tracking file.

    The dependency tracking file.

    Attributes
      protected
55.  var deprecation: Option[Boolean]

    Instruct the compiler to generate deprecation information.

    Instruct the compiler to generate deprecation information.

    Attributes
      protected
56.  var destination: Option[File]

    The directory to put the compiled files in.

    The directory to put the compiled files in.

    Attributes
      protected
57.  var encoding: Option[String]

    The character encoding of the files to compile.

    The character encoding of the files to compile.

    Attributes
      protected
58.  def ensuring(cond: (Scalac) ⇒ Boolean, msg: ⇒ Any): Scalac
    Implicit
      This member is added by an implicit conversion from Scalac to Ensuring[Scalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
59.  def ensuring(cond: (Scalac) ⇒ Boolean): Scalac
    Implicit
      This member is added by an implicit conversion from Scalac to Ensuring[Scalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
60.  def ensuring(cond: Boolean, msg: ⇒ Any): Scalac
    Implicit
      This member is added by an implicit conversion from Scalac to Ensuring[Scalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
61.  def ensuring(cond: Boolean): Scalac
    Implicit
      This member is added by an implicit conversion from Scalac to Ensuring[Scalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
62.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
63.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
64.  def execWithArgFiles(java: Java, paths: List[String]): Int
    Definition Classes
      ScalacShared
65.  def execute(): Unit
    Definition Classes
      Scalac → Task
66.  def executeFork(settings: Settings, sourceFiles: List[File]): Unit
    Attributes
      protected
67.  def executeInternal(settings: Settings, sourceFiles: List[File]): Unit

    Performs the compilation.

    Performs the compilation.

    Attributes
      protected
68.  def existing(file: File): File

    Tests if a file exists and prints a warning in case it doesn't.

    Tests if a file exists and prints a warning in case it doesn't. Always returns the file, even if it doesn't exist.

    file

      A file to test for existence.

    returns

      The same file.

    Attributes
      protected
69.  var explaintypes: Option[Boolean]

    Instruct the compiler to explain type errors in more detail.

    Instruct the compiler to explain type errors in more detail.

    Attributes
      protected
70.  var extdirs: Option[Path]

    The external extensions path to use for this compilation.

    The external extensions path to use for this compilation.

    Attributes
      protected
71.  var failonerror: Boolean

    Indicates whether compilation errors will fail the build; defaults to true.

    Indicates whether compilation errors will fail the build; defaults to true.

    Attributes
      protected
72.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
73.  var force: Boolean

    Whether to force compilation of all files or not.

    Whether to force compilation of all files or not.

    Attributes
      protected
74.  var fork: Boolean

    Whether to fork the execution of scalac

    Whether to fork the execution of scalac

    Attributes
      protected
75.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Scalac to StringFormat[Scalac] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
76.  def getBootclasspath: List[File]

    Gets the value of the `bootclasspath` attribute in a Scala-friendly form.

    Gets the value of the `bootclasspath` attribute in a Scala-friendly form.

    returns

      The boot class path as a list of files.

    Attributes
      protected
77.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
78.  def getClasspath: List[File]

    Gets the value of the `classpath` attribute in a Scala-friendly form.

    Gets the value of the `classpath` attribute in a Scala-friendly form.

    returns

      The class path as a list of files.

    Attributes
      protected
79.  def getDescription(): String
    Definition Classes
      ProjectComponent
80.  def getDestination: File

    Gets the value of the `destination` attribute in a Scala-friendly form.

    Gets the value of the `destination` attribute in a Scala-friendly form.

    returns

      The destination as a file.

    Attributes
      protected
81.  def getDirectoryScanner(arg0: File): DirectoryScanner
    Attributes
      protected[taskdefs]
    Definition Classes
      MatchingTask
82.  def getExtdirs: List[File]

    Gets the value of the `extdirs` attribute in a Scala-friendly form.

    Gets the value of the `extdirs` attribute in a Scala-friendly form.

    returns

      The extensions path as a list of files.

    Attributes
      protected
83.  final def getImplicitFileSet(): FileSet
    Attributes
      protected[taskdefs]
    Definition Classes
      MatchingTask
84.  def getLocation(): Location
    Definition Classes
      ProjectComponent
85.  def getOrigin: List[File]

    Gets the value of the `origin` attribute in a Scala-friendly form.

    Gets the value of the `origin` attribute in a Scala-friendly form.

    returns

      The origin path as a list of files.

    Attributes
      protected
86.  def getOwningTarget(): Target
    Definition Classes
      Task
87.  def getProject(): Project
    Definition Classes
      ProjectComponent
88.  def getRuntimeConfigurableWrapper(): RuntimeConfigurable
    Definition Classes
      Task
89.  def getSelectors(arg0: Project): Array[FileSelector]
    Definition Classes
      MatchingTask → SelectorContainer
90.  def getSourcepath: List[File]

    Gets the value of the `sourcepath` attribute in a Scala-friendly form.

    Gets the value of the `sourcepath` attribute in a Scala-friendly form.

    returns

      The source path as a list of files.

    Attributes
      protected
91.  def getTaskName(): String
    Definition Classes
      Task
92.  def getTaskType(): String
    Definition Classes
      Task
93.  def getWrapper(): RuntimeConfigurable
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
94.  def handleErrorFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
95.  def handleErrorOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
96.  def handleFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
97.  def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )
98.  def handleOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
99.  def hasSelectors(): Boolean
    Definition Classes
      MatchingTask → SelectorContainer
100.  def hashCode(): Int
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
101.  def init(): Unit
     Definition Classes
       Task
     Annotations
       @throws( ... )
102.  def initialize: (Settings, List[File], Boolean)

     Initializes settings and source files

     Initializes settings and source files

     Attributes
       protected
103.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
104.  final def isInvalid(): Boolean
     Attributes
       protected[org.apache.tools.ant]
     Definition Classes
       Task
105.  var jvmArgs: Option[String]

     If forking, these are the arguments to the JVM

     If forking, these are the arguments to the JVM

     Attributes
       protected
106.  def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit
     Definition Classes
       Task
107.  def log(arg0: java.lang.Throwable, arg1: Int): Unit
     Definition Classes
       Task
108.  def log(arg0: String, arg1: Int): Unit
     Definition Classes
       Task → ProjectComponent
109.  def log(arg0: String): Unit
     Definition Classes
       Task → ProjectComponent
110.  var logPhase: List[String]

     Which compilation phases should be logged during compilation.

     Which compilation phases should be logged during compilation.

     Attributes
       protected
111.  var logging: Option[String]

     How much logging output to print.

     How much logging output to print. Either none (default), verbose or debug.

     Attributes
       protected
112.  def maybeConfigure(): Unit
     Definition Classes
       Task
     Annotations
       @throws( ... )
113.  def nameToFile(name: String): File

     Transforms a string name into a file relative to the build root directory.

     Transforms a string name into a file relative to the build root directory.

     name

       A relative or absolute path to the file as a string.

     returns

       A file created from the name.

     Attributes
       protected
114.  def nameToFile(base: File)(name: String): File

     Transforms a string name into a file relative to the provided base directory.

     Transforms a string name into a file relative to the provided base directory.

     base

       A file pointing to the location relative to which the name will be resolved.

     name

       A relative or absolute path to the file as a string.

     returns

       A file created from the name and the base file.

     Attributes
       protected
115.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
116.  def newGlobal(settings: Settings, reporter: Reporter): Global
     Attributes
       protected
117.  def newSettings(error: (String) ⇒ Unit): Settings
     Attributes
       protected
118.  var nobootcp: Option[Boolean]

     Instruct the compiler to not use the boot classpath for the scala jars.

     Instruct the compiler to not use the boot classpath for the scala jars.

     Attributes
       protected
119.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
120.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
121.  var nowarn: Option[Boolean]

     Instruct the compiler to generate no warnings.

     Instruct the compiler to generate no warnings.

     Attributes
       protected
122.  var optimise: Option[Boolean]

     Instruct the compiler to run optimizations.

     Instruct the compiler to run optimizations.

     Attributes
       protected
123.  var origin: Option[Path]

     The directories that contain source files to compile.

     The directories that contain source files to compile.

     Attributes
       protected
124.  final def perform(): Unit
     Definition Classes
       Task
125.  def reconfigure(): Unit
     Definition Classes
       Task
126.  var scalacCompilerArgs: FacadeTaskHelper

     Encapsulates implementation of specific command line arguments.

     Encapsulates implementation of specific command line arguments.

     Attributes
       protected
127.  var scalacDebugging: Boolean

     Prints out the files being compiled by the scalac ant task (not only the number of files).

     Prints out the files being compiled by the scalac ant task (not only the number of files).

     Attributes
       protected
128.  def selectorCount(): Int
     Definition Classes
       MatchingTask → SelectorContainer
129.  def selectorElements(): java.util.Enumeration[FileSelector]
     Definition Classes
       MatchingTask → SelectorContainer
130.  def setAddparams(input: String): Unit

     Set the `addparams` info attribute.

     Set the `addparams` info attribute.

     input

       The value for `addparams`.

131.  def setArgfile(input: File): Unit

     Sets the `argfile` attribute.

     Sets the `argfile` attribute. Used by Ant.

     input

       The value of `argfile`.

132.  def setBootclasspath(input: Path): Unit

     Sets the boot classpath attribute.

     Sets the boot classpath attribute. Used by Ant.

     input

       The value of `bootclasspath`.

133.  def setBootclasspathref(input: Reference): Unit

     Sets the `bootclasspath` as an external reference Ant parameter.

     Sets the `bootclasspath` as an external reference Ant parameter.

     input

       A reference to a source path.

134.  def setCaseSensitive(arg0: Boolean): Unit
     Definition Classes
       MatchingTask
135.  def setClasspath(input: Path): Unit

     Sets the `classpath` attribute.

     Sets the `classpath` attribute. Used by Ant.

     input

       The value of `classpath`.

136.  def setClasspathref(input: Reference): Unit

     Sets the `classpath` as an external reference Ant parameter.

     Sets the `classpath` as an external reference Ant parameter.

     input

       A reference to a class path.

137.  def setCompilerPath(input: Path): Unit

     Sets the `compilerPath` attribute.

     Sets the `compilerPath` attribute. Used by Ant.

     input

       The value of `compilerPath`.

138.  def setCompilerPathRef(input: Reference): Unit

     Sets the `compilerpathref` attribute.

     Sets the `compilerpathref` attribute. Used by Ant.

     input

       The value of `compilerpathref`.

139.  def setDebuginfo(input: String): Unit

     Set the `debug` info attribute.

     Set the `debug` info attribute.

     input

       The value for `debug`.

140.  def setDefaultexcludes(arg0: Boolean): Unit
     Definition Classes
       MatchingTask
141.  def setDependencyfile(input: File): Unit

     Sets the `dependencyfile` attribute.

     Sets the `dependencyfile` attribute. Used by Ant.

     input

       The value of `dependencyfile`.

142.  def setDeprecation(input: String): Unit

     Set the `deprecation` info attribute.

     Set the `deprecation` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

143.  def setDescription(arg0: String): Unit
     Definition Classes
       ProjectComponent
144.  def setDestdir(input: File): Unit

     Sets the `destdir` attribute.

     Sets the `destdir` attribute. Used by Ant.

     input

       The value of `destination`.

145.  def setEncoding(input: String): Unit

     Sets the `encoding` attribute.

     Sets the `encoding` attribute. Used by Ant.

     input

       The value of `encoding`.

146.  def setExcludes(arg0: String): Unit
     Definition Classes
       MatchingTask
147.  def setExcludesfile(arg0: File): Unit
     Definition Classes
       MatchingTask
148.  def setExplaintypes(input: String): Unit

     Set the `explaintypes` info attribute.

     Set the `explaintypes` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

149.  def setExtdirs(input: Path): Unit

     Sets the external extensions path attribute.

     Sets the external extensions path attribute. Used by Ant.

     input

       The value of `extdirs`.

150.  def setExtdirsref(input: Reference): Unit

     Sets the `extdirs` as an external reference Ant parameter.

     Sets the `extdirs` as an external reference Ant parameter.

     input

       A reference to an extensions path.

151.  def setFailonerror(input: Boolean): Unit

     Sets the `failonerror` attribute.

     Sets the `failonerror` attribute. Used by Ant.

     input

       The value for `failonerror`.

152.  def setFollowSymlinks(arg0: Boolean): Unit
     Definition Classes
       MatchingTask
153.  def setForce(input: Boolean): Unit

     Sets the `force` attribute.

     Sets the `force` attribute. Used by Ant.

     input

       The value for `force`.

154.  def setFork(input: Boolean): Unit

     Sets the `fork` attribute.

     Sets the `fork` attribute. Used by Ant.

     input

       The value for `fork`.

155.  def setIncludes(arg0: String): Unit
     Definition Classes
       MatchingTask
156.  def setIncludesfile(arg0: File): Unit
     Definition Classes
       MatchingTask
157.  def setJvmargs(input: String): Unit

     Sets the `jvmargs` attribute.

     Sets the `jvmargs` attribute. Used by Ant.

     input

       The value for `jvmargs`

158.  def setLocation(arg0: Location): Unit
     Definition Classes
       ProjectComponent
159.  def setLogPhase(input: String): Unit

     Sets the `logphase` attribute.

     Sets the `logphase` attribute. Used by Ant.

     input

       The value for `logPhase`.

160.  def setLogging(input: String): Unit

     Sets the logging level attribute.

     Sets the logging level attribute. Used by Ant.

     input

       The value for `logging`.

161.  def setNobootcp(input: String): Unit

     Set the `nobootcp` info attribute.

     Set the `nobootcp` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

162.  def setNowarn(input: String): Unit

     Set the `nowarn` info attribute.

     Set the `nowarn` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

163.  def setOptimise(input: String): Unit

     Set the `optimise` info attribute.

     Set the `optimise` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

164.  def setOwningTarget(arg0: Target): Unit
     Definition Classes
       Task
165.  def setProject(arg0: Project): Unit
     Definition Classes
       MatchingTask → ProjectComponent
166.  def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit
     Definition Classes
       Task
167.  def setScalacdebugging(input: Boolean): Unit

     Set the `scalacdebugging` info attribute.

     Set the `scalacdebugging` info attribute. If set to `true`, the scalac ant task will print out the filenames being compiled.

     input

       The specified flag

168.  def setSourcepath(input: Path): Unit

     Sets the `sourcepath` attribute.

     Sets the `sourcepath` attribute. Used by Ant.

     input

       The value of `sourcepath`.

169.  def setSourcepathref(input: Reference): Unit

     Sets the `sourcepath` as an external reference Ant parameter.

     Sets the `sourcepath` as an external reference Ant parameter.

     input

       A reference to a source path.

170.  def setSrcdir(input: Path): Unit

     Sets the `srcdir` attribute.

     Sets the `srcdir` attribute. Used by Ant.

     input

       The value of `origin`.

171.  def setSrcref(input: Reference): Unit

     Sets the `origin` as an external reference Ant parameter.

     Sets the `origin` as an external reference Ant parameter.

     input

       A reference to an origin path.

172.  def setTarget(input: String): Unit

     Sets the `target` attribute.

     Sets the `target` attribute. Used by Ant.

     input

       The value for `target`.

173.  def setTaskName(arg0: String): Unit
     Definition Classes
       Task
174.  def setTaskType(arg0: String): Unit
     Definition Classes
       Task
175.  def setUnchecked(input: String): Unit

     Set the `unchecked` info attribute.

     Set the `unchecked` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

176.  def setUsejavacp(input: String): Unit

     Set the `usejavacp` info attribute.

     Set the `usejavacp` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

177.  var sourcepath: Option[Path]

     The source path to use for this compilation.

     The source path to use for this compilation.

     Attributes
       protected
178.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
179.  def toString(): String
     Definition Classes
       AnyRef → Any
180.  var unchecked: Option[Boolean]

     Instruct the compiler to generate unchecked information.

     Instruct the compiler to generate unchecked information.

     Attributes
       protected
181.  var usejavacp: Option[Boolean]

     Instruct the compiler to use `java.class.path` in classpath resolution.

     Instruct the compiler to use `java.class.path` in classpath resolution.

     Attributes
       protected
182.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
183.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
184.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
185.  def →[B](y: B): (Scalac, B)
     Implicit
       This member is added by an implicit conversion from Scalac to ArrowAssoc[Scalac] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc
186.  object CompilerPhase extends PermissibleValue

     Defines valid values for properties that refer to compiler phases.

187.  object Flag extends PermissibleValue

     Defines valid values for the `deprecation` and `unchecked` properties.

188.  object LoggingLevel extends PermissibleValue

     Defines valid values for the logging property.

189.  object Target extends PermissibleValue

     Defines valid values for the `target` property.

### Inherited from ScalacShared

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Scalac to any2stringadd[Scalac]

### Inherited by implicit conversion StringFormat from Scalac to StringFormat[Scalac]

### Inherited by implicit conversion Ensuring from Scalac to Ensuring[Scalac]

### Inherited by implicit conversion ArrowAssoc from Scalac to ArrowAssoc[Scalac]

### Ungrouped